N3DS Upgrade from 2.1 to 9.2

Discussion in '3DS - Homebrew Development and Emulators' started by ConfusedSheep, Jun 1, 2017.

  1. ConfusedSheep
    OP

    ConfusedSheep Member

    Newcomer
    22
    2
    May 24, 2017
    So I followed this guide to downgrade from 11.0.0 to 2.1



    in order to follow this guide and install FBI



    I couldn't get rxTools to work on 2.1, so I guess I have to be on 9.2. How do I update from 2.1 to 9.2? I've heard that 2.1 is unstable on N3DS, so I'm not gonna risk anything. Also my homebrew launcher doesn't work on 2.1. Thanks for the help.
     
    CatmanFan likes this.
  2. Crusatyr

    Crusatyr Member

    Newcomer
    11
    2
    Jul 31, 2016
    United States
    Go to 3ds.guide and under troubleshooting look for 9.2CtrTransfer
     
    ConfusedSheep likes this.
  3. ConfusedSheep
    OP

    ConfusedSheep Member

    Newcomer
    22
    2
    May 24, 2017
  4. Crusatyr

    Crusatyr Member

    Newcomer
    11
    2
    Jul 31, 2016
    United States
    Yup, exactly that.
     
  5. fowler002

    fowler002 GBAtemp Fan

    Member
    344
    80
    Jan 3, 2013
    Why did you downgrade in the first place?
     
  6. ConfusedSheep
    OP

    ConfusedSheep Member

    Newcomer
    22
    2
    May 24, 2017
    Well my homebrew doesn't work it just crashes when I open the sound file in soundhax (because of version 2.1).
     
  7. Quantumcat

    Quantumcat Dead and alive

    Member
    11,587
    6,230
    Nov 23, 2014
    Australia
    Canberra, Australia
    You'll need to use the bin file rather than the firm file for GodMode9.since I assume you have installed a9lh, given you downgraded to 2.1.

    In future, stay away from video guides.

    Since you're here, can you please satisfy my curiosity about this. How is it that you knew of GBAtemp's existence, yet you used a video guide? I can understand using a video guide if you just did a bit of Google searching and the video was what you found, and you didn't know to look here. But if you knew GBAtemp existed, how did you miss the hundreds of links to http://3ds.guide and and the posts saying to stay away from video guides? Seems like a paradox - yet loads of people come here for help after they have problems from following videos. It puzzles me!
     
    SG6000, Meteor7, Bubsy Bobcat and 5 others like this.
  8. fowler002

    fowler002 GBAtemp Fan

    Member
    344
    80
    Jan 3, 2013
    Again why downgrade? As your reply doesn't answer my question

    Don't have the time to watch the videos you put in first post, but did you at least heed the warning(doubt it mentions it in the video, however the process gives it) about backing up your sysnand before downgrading? If you did then you can get back to 11.0
     
    Last edited by fowler002, Jun 1, 2017
  9. Quantumcat

    Quantumcat Dead and alive

    Member
    11,587
    6,230
    Nov 23, 2014
    Australia
    Canberra, Australia
    You don't need homebrew to follow the 9.2 CTR transfer guide. You just need a9lh or b9s.
     
    ConfusedSheep likes this.
  10. ConfusedSheep
    OP

    ConfusedSheep Member

    Newcomer
    22
    2
    May 24, 2017
    Why I downgraded has no relevance to solving my issue. I wanted to install FBI without CFW because it seemed faster, in the video description it says that you need to be version 9.2 or below, so I followed a video also made by him that showed how to downgrade. I figured I could still use the first video with version 2.1, but apparently not. At that time I didn't know that 2.1 was unstable for N3DS. I was looking for a shortcut, but then got trapped. Was it smart? No. Could I have done some better things in hindsight? Yes. Does it matter now that I have done it? No. Laugh all you want at my ignorance as long as you ultimately have come here to help me.

    — Posts automatically merged - Please don't double post! —

    Is there a guide to install a9lh, can't seem to find it on 3ds.guide
     
  11. fowler002

    fowler002 GBAtemp Fan

    Member
    344
    80
    Jan 3, 2013
    Archived version before they updated to the new hack method

    http://web.archive.org/web/20170509200439/http://3ds.guide/
     
  12. Pyra

    Pyra GBAtemp Fan

    Member
    306
    154
    May 7, 2017
    United States
    Ohio, USA
    Actually it'd arguably be better just to use 3ds.guide directly, as it does support an upgrade from 2.1.0 to B9S.

    https://3ds.guide/installing-boot9strap-(2xrsa)

    OP, follow the guide I just linked. If you do not have a NAND backup when you get to the option of restoring it, then follow this:

    https://3ds.guide/9.2.0-ctrtransfer

    Hope that helps, and in the future, never use a video guide.
     
    ConfusedSheep, Quantumcat and Veranek like this.
  13. ConfusedSheep
    OP

    ConfusedSheep Member

    Newcomer
    22
    2
    May 24, 2017
    Thanks, Pyra. I followed the guide to install B9S and I went to http://2xrsa.3ds.guide but it either crashes or fails with "Crypto Status - FIRM crypto fail"
     
  14. linuxares

    linuxares GBAtemp Psycho!

    Member
    3,249
    1,384
    Aug 5, 2007
    RIP another Videoguide downgrader...
     
  15. BORTZ

    BORTZ You get a hat, and YOU get a hat!

    Supervisor
    GBAtemp Patron
    BORTZ is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,716
    14,732
    Dec 2, 2007
    United States
    Pittsburgh
    This is the truest thing in this thread. Video guides are often unclear, and dangerously outdated by the time you get to them.
     
    Meteor7, Quantumcat, THYPLEX and 2 others like this.
  16. Pyra

    Pyra GBAtemp Fan

    Member
    306
    154
    May 7, 2017
    United States
    Ohio, USA
    thank you for your contribution it really helped might as well close the thread gj its not like OP admitted he was a moron in this case or anything

    Download the aeskeysdb.bin file from this part of the guide, and put it in the /bootstrap9 folder. You can find this under Step 3 in Section II.

    As for the crashing, as this portion of the guide says, browser exploits tend to be unstable. Just keep trying until it works properly. Additional information and steps you can take to prevent this can be found under "A browser based exploit is not working" on the part of the guide I just linked, I would recommend you read that and then try again a few times.

    After you get it to work, continue following the guide from where you left off. Follow all of the steps carefully and watch for warnings.

    I hope that helps.
     
    ConfusedSheep and Quantumcat like this.
  17. Garro

    Garro Pendulum of souls!

    Member
    636
    312
    Aug 15, 2009
    Chile
    Somewhere
    If anything, with the huge amount of misconceptions you currently have (downgrading, wanted to update a 2.1 New 3DS, rxTools, "Install FBI without CFW") it's a miracle your console is even alive. So kudos on that.

    Also can b9s even be installed on a 2.1 new 3DS? Shouldn't be better to install a9lh, CTRtransfer back up and install b9s?
     
    Quantumcat and dragonslayer817 like this.
  18. Pyra

    Pyra GBAtemp Fan

    Member
    306
    154
    May 7, 2017
    United States
    Ohio, USA
    ikr

    Yes to your first question, No to your second. That'd just add a lot of unnecessary work, as you can CTRTransfer up to 9.2.0 using B9S similarly to how you would with A9LH.
     
  19. ConfusedSheep
    OP

    ConfusedSheep Member

    Newcomer
    22
    2
    May 24, 2017
    Tried installing aeskeysdb.bin as you said and cleared browser save data multiple times, but I get the same crypto error.
     
  20. Pyra

    Pyra GBAtemp Fan

    Member
    306
    154
    May 7, 2017
    United States
    Ohio, USA
    Hmm, odd...

    Well, I checked with a few people on Nintendo Homebrew Discord, and they recommended that you try using the nightly version of SafeB9SInstaller. Here's a link to the direct download: https://d0k3.secretalgorithm.com/SafeB9SInstaller/SafeB9SInstaller-20170601-131614.zip

    Redo the guide, but instead of using the ".zip" of SafeB9SInstaller you were using before, try this one instead, and tell me how that goes.
     
    Last edited by Pyra, Jun 1, 2017 - Reason: Wording was a bit off.
    ConfusedSheep likes this.